Skip to content

Rev AI Forced Alignment (v1)

Rev AI Forced Alignment

Download OpenAPI description
Languages
Servers
Rev AI API
https://api.rev.ai
Mock server
https://docs.rev.ai/_mock/api/alignment/reference

Jobs

Operations

Submit Forced Alignment Job

Request

Starts an asynchronous job to obtain precise word timings for an audio file and text transcript. Audio can be specified by including a public url to the media via the source_config. A transcript can be specified by including a public url to the text file via the source_transcript_config or by submitting the text directly in the transcript_text field. Transcripts should contain only the words of a transcript (punctuation is omitted) separated by spaces.

Security
AccessToken
Bodyapplication/jsonrequired

Forced Alignment Job Options

metadatastring or null<= 512 characters

Optional metadata that was provided during job submission.

notification_configobject or null

Optional configuration for a callback url to invoke when processing is complete, in addition to auth headers if they are needed to invoke the callback url. Cannot be set if callback_url is set. This option will not be visible in the submission response.

delete_after_secondsinteger or null[ 0 .. 2592000 ]

Amount of time after job completion when job is auto-deleted. Present only when preference set in job request.

source_configobject

URL to a media resource, and optional authorization headers if they are needed to access the resource at the URL. Headers could be a single Authorization header of the form <scheme> <token>, and one of the AWS signature v4 headers. This option will not be visible in the submission response.

source_transcript_configobject or null

URL to a text transcript resource, and optional authorization headers if they are needed to access the resource at the URL. Transcript should be a text file containing only the words of the transcript (no punctuation). Headers could be a single Authorization header of the form <scheme> <token>, and one of the AWS signature v4 headers. Only one of source_transcript_config and transcript_text may be set. This option will not be visible in the submission response.

transcript_textstring or null

The text of the transcript to be aligned. Should contain only words, no punctuation. One of either source_transcript_config or transcript_text is required

Example: "this is a transcript"
languagestring or null

The language of the submitted audio and transcript

Default "en"
Enum"en""es""fr"
Example: "en"
curl -i -X POST \
  https://api.rev.ai/alignment/v1/jobs \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "metadata": "sample user provided metadata",
    "notification_config": {
      "url": "https://www.example.com/callback",
      "auth_headers": {
        "Authorization": "Bearer <notification-url-token>"
      }
    },
    "delete_after_seconds": 1000000,
    "source_config": {
      "url": "https://www.rev.ai/FTC_Sample_1.mp3",
      "auth_headers": {
        "Authorization": "Bearer <source-url-token>"
      }
    },
    "source_transcript_config": {
      "url": "https://your-bucket.s3.us-west-2.amazonaws.com/transcript.txt",
      "auth_headers": {
        "Authorization": "Bearer <source-url-token>"
      }
    }
  }'

Responses

Alignment Job Details

Bodyapplication/json
idstring

Id of the job.

Example: "Umx5c6F7pH7r"
created_onstring(date-time)

The date and time the job was created in ISO-8601 UTC form.

Example: "2018-05-05T23:23:22.29Z"
completed_onstring or null(date-time)

The date and time the job was completed, whether successfully or failing, in ISO-8601 UTC form.

Example: "2018-05-05T23:28:22.29Z"
metadatastring or null<= 512 characters

Optional metadata that was provided during job submission.

failure_detailstring or null

Human-readable reason why the job failed.

Example: "Internal server error."
delete_after_secondsinteger or null[ 0 .. 2592000 ]

Amount of time after job completion when job is auto-deleted. Present only when preference set in job request.

statusstring

Current status of the job.

Enum"in_progress""completed""failed"
Example: "completed"
failurestring

Simple reason of why the job failed. Check failure_detail for specific details and solutions.

Enum"internal_processing""insufficient_balance""invoicing_limit_exceeded"
typestring

The type of action performed, in this case alignment

Default "alignment"
Value"alignment"
Example: "alignment"
languagestring or null

The language of the submitted audio and transcript

Default "en"
Enum"en""es""fr"
Example: "en"
processed_duration_secondsnumber or null(double)

Duration of the processed audio in seconds. Null if the job has not completed

Example: 107
Response
application/json
{ "id": "Umx5c6F7pH7r", "status": "in_progress", "created_on": "2018-05-05T23:23:22.29Z", "type": "alignment" }

Get List of Forced Alignment Jobs

Request

Gets a list of alignment jobs submitted within the last 30 days in reverse chronological order up to the provided limit number of jobs per call. Note: Jobs older than 30 days will not be listed. Pagination is supported via passing the last job id from a previous call into starting_after.

Security
AccessToken
Query
limitinteger or null[ 0 .. 1000 ]

Limits the number of jobs returned, default is 100, max is 1000

Default 100
starting_afterstring or null

If specified, returns jobs submitted before the job with this id, exclusive (job with this id is not included)

curl -i -X GET \
  'https://api.rev.ai/alignment/v1/jobs?limit=100&starting_after=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

List of Rev AI Forced Alignment Jobs

Bodyapplication/jsonArray [
idstring

Id of the job.

Example: "Umx5c6F7pH7r"
created_onstring(date-time)

The date and time the job was created in ISO-8601 UTC form.

Example: "2018-05-05T23:23:22.29Z"
completed_onstring or null(date-time)

The date and time the job was completed, whether successfully or failing, in ISO-8601 UTC form.

Example: "2018-05-05T23:28:22.29Z"
metadatastring or null<= 512 characters

Optional metadata that was provided during job submission.

failure_detailstring or null

Human-readable reason why the job failed.

Example: "Internal server error."
delete_after_secondsinteger or null[ 0 .. 2592000 ]

Amount of time after job completion when job is auto-deleted. Present only when preference set in job request.

statusstring

Current status of the job.

Enum"in_progress""completed""failed"
Example: "completed"
failurestring

Simple reason of why the job failed. Check failure_detail for specific details and solutions.

Enum"internal_processing""insufficient_balance""invoicing_limit_exceeded"
typestring

The type of action performed, in this case alignment

Default "alignment"
Value"alignment"
Example: "alignment"
languagestring or null

The language of the submitted audio and transcript

Default "en"
Enum"en""es""fr"
Example: "en"
processed_duration_secondsnumber or null(double)

Duration of the processed audio in seconds. Null if the job has not completed

Example: 107
]
Response
application/json
[ { "id": "Bmx5c8F5pH7a", "status": "in_progress", "created_on": "2018-05-05T23:23:22.29Z", "type": "alignment" }, { "id": "6BxQYGa638Yt", "status": "completed", "created_on": "2018-05-05T23:23:22.29Z", "completed_on": "2018-05-05T23:45:13.41Z", "language": "es", "type": "alignment" } ]

Get Forced Alignment Job By Id

Request

Returns information about a forced alignment job.

Security
AccessToken
Path
idstringrequired

Rev AI API Job Id

curl -i -X GET \
  'https://api.rev.ai/alignment/v1/jobs/{id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Forced Alignment Job Details

Bodyapplication/json
idstring

Id of the job.

Example: "Umx5c6F7pH7r"
created_onstring(date-time)

The date and time the job was created in ISO-8601 UTC form.

Example: "2018-05-05T23:23:22.29Z"
completed_onstring or null(date-time)

The date and time the job was completed, whether successfully or failing, in ISO-8601 UTC form.

Example: "2018-05-05T23:28:22.29Z"
metadatastring or null<= 512 characters

Optional metadata that was provided during job submission.

failure_detailstring or null

Human-readable reason why the job failed.

Example: "Internal server error."
delete_after_secondsinteger or null[ 0 .. 2592000 ]

Amount of time after job completion when job is auto-deleted. Present only when preference set in job request.

statusstring

Current status of the job.

Enum"in_progress""completed""failed"
Example: "completed"
failurestring

Simple reason of why the job failed. Check failure_detail for specific details and solutions.

Enum"internal_processing""insufficient_balance""invoicing_limit_exceeded"
typestring

The type of action performed, in this case alignment

Default "alignment"
Value"alignment"
Example: "alignment"
languagestring or null

The language of the submitted audio and transcript

Default "en"
Enum"en""es""fr"
Example: "en"
processed_duration_secondsnumber or null(double)

Duration of the processed audio in seconds. Null if the job has not completed

Example: 107
Response
application/json
{ "id": "Umx5c6F7pH7r", "status": "in_progress", "created_on": "2018-05-05T23:23:22.29Z", "type": "alignment" }

Delete Forced Alignment Job by Id

Request

Deletes a forced alignment job. All data related to the job will be permanently deleted. A job can only be deleted once it's completed (either with success or failure).

Security
AccessToken
Path
idstringrequired

Rev AI API Job Id

curl -i -X DELETE \
  'https://api.rev.ai/alignment/v1/jobs/{id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Job was successfully deleted

Body
Response
No content

Get Forced Alignment Transcript By Id

Request

Returns the results for a completed forced alignment job.

Security
AccessToken
Path
idstringrequired

Rev AI API Job Id

Headers
Acceptstring

MIME type specifying the transcription output format

Value"application/vnd.rev.transcript.v1.0+json"
curl -i -X GET \
  'https://api.rev.ai/alignment/v1/jobs/{id}/transcript' \
  -H 'Accept: application/vnd.rev.transcript.v1.0+json' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Rev AI API Forced Alignment Transcript

Bodyapplication/vnd.rev.transcript.v1.0+json
monologuesArray of objects
Response
application/vnd.rev.transcript.v1.0+json
{ "monologues": [ {} ] }